Skip to content
SublimeLinter Plugin for QML Linting.
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
messages
.gitignore
.travis.yml
LICENSE
README.md
linter.py
messages.json

README.md

SublimeLinter-contrib-qmllint

This linter plugin for SublimeLinter provides an interface to qmllint. It will be used with files that have the "QML" syntax.

Installation

SublimeLinter must be installed in order to use this plugin.

Please use Package Control to install the linter plugin.

Before installing this plugin, you must ensure that qmllint is installed on your system. qmllint comes pre-packaged with Qt which could be installed with your Package Manager of choice (Homebrew, Yum, APT, e.t.c) or directly from Qt.io.

In order for qmllint to be executed by SublimeLinter, you must ensure that its path is available to SublimeLinter. The docs cover troubleshooting PATH configuration.

Settings

You can’t perform that action at this time.